%define name dmapi
%define version 0.2.2
%define release 1mdk

%define lib_name_orig libdm
%define lib_major 0
%define lib_name %{lib_name_orig}%{lib_major}

Summary: Data Management API runtime environment.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.src.tar.bz2
Copyright: GPL
Group: System/Kernel and hardware
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
URL: http://oss.sgi.com/projects/xfs/
BuildRequires: libxfs-devel

%description
Files required by system software using the Data Management API
(DMAPI).  This is used to implement the interface defined in the
X/Open document:  Systems Management: Data Storage Managment
(XDSM) API dated February 1997.  This interface is implemented
by the libdm library.

%package -n %{lib_name}
Summary: Main library for %{lib_name_orig}
Group: System/Libraries
Provides: %{lib_name_orig} = %{version}-%{release}
Requires: libxfs

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with %{lib_name_orig}.

%package -n %{lib_name}-devel
Summary: Data Management API static libraries and headers.
Group: Development/C
Requires: %{lib_name} = %{version}
Provides: %{lib_name_orig}-devel = %{version}-%{release}

%description -n %{lib_name}-devel
dmapi-devel contains the libraries and header files needed to
develop programs which make use of the Data Management API
(DMAPI).  If you install dmapi-devel, you'll also want to install
the dmapi (runtime) package and the xfsprogs-devel package.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
make install DIST_ROOT=%{buildroot}/
make install-dev DIST_ROOT=%{buildroot}/

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%doc doc/COPYING README
/lib/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc doc/PORTING doc/CHANGES.gz doc/COPYING README
/lib/*a
/lib/*so
%{_libdir}/*so
%{_libdir}/*a
%{_includedir}/*/*
%{_mandir}/man3/*

%changelog
* Fri Sep  7 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.2.2-1mdk
- Split lib in subpackage.
- Rework the spec.
- 0.2.2.

* Wed May  2 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1.1-1mdk
- First attempt.


# end of file
